#ifndef _WAV_DAC_H__
#define _WAV_DAC_H__

#include "type.h" 

extern u8 finishflag;
extern u16 numflag;
extern u16 buffnum;
extern u8 wbuf_select;
extern u8 dac_data_buff_1[6144];
extern u8 dac_data_buff_2[6144];
extern u16 bufflen;
extern u8 last_select;
extern u16 bufflast;

void WAV_amplifier_EN(void);
void WAV_amplifier_DIS(void);

extern void DMA_Tran(uint8_t *data, uint32_t len);
UINT8 LT_PlayWav_DAC(void);
void close_wav_dac(void);
void DMA2_IRQHandler(void);


#endif
